/*
 * This code is the code for the dog's owner's blinker, 
 * which is intended to beep when a message is sent from the house to the owner, 
 * and allows information to be transferred between the current blinker and the dog's home blinker

link: https://www.instructables.com/Monitoring-the-Needs-and-Desires-of-the-Dog/

  Created By:
  Yoram_Ben_Ami #207902974
  Dor_Shalom #316383181
*/


//https://sgp1.blynk.cloud/external/api/update?token=_pZwRRNkAXczJi5-moLFHiL4aFzkmoD1&V5=Hello men
#define BLYNK_PRINT SerialUSB
#define BLYNK_DEBUG SerialUSB
#define BLYNK_TEMPLATE_ID "TMPL6o-lLz5y0"
#define BLYNK_TEMPLATE_NAME "MY CPX"
#define BLYNK_AUTH_TOKEN "_pZwRRNkAXczJi5-moLFHiL4aFzkmoD1"
#define EspSerial Serial1
#define ESP8266_BAUD 115200

#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Adafruit_CircuitPlayground.h>

ESP8266 wifi(&EspSerial);


// blynk and wifi initiating
char auth[] = BLYNK_AUTH_TOKEN;
char ssid[] = "baron";
char pass[] = "0505541190";

int highFreq = 1500;
int lowFreq = 500;
int alarmOn = 0;

void setup() {
  CircuitPlayground.begin();
  SerialUSB.begin(9600);
  EspSerial.begin(ESP8266_BAUD);
  delay(10);
  Blynk.begin(auth, wifi, ssid, pass,"blynk.cloud", 80);
}

void loop() {
  Blynk.run();
  if (CircuitPlayground.leftButton()) {
     Blynk.virtualWrite(V4, alarmOn);
     delay(100);
  }
}

BLYNK_WRITE(V5)
{
  Serial.println("This is the checking part!*");
  alarmOn = param.asInt();
  if (alarmOn >= 28){
    playAlarm();
  }
  Serial.println(param.asString());
}

void playAlarm(){
  while (!(CircuitPlayground.leftButton() && CircuitPlayground.rightButton()) ) {
    CircuitPlayground.playTone(highFreq, 100);
    for (int i = 0; i < 10; i++) {
      CircuitPlayground.setPixelColor(i, 255, 0, 0);  
    }
    delay(100);
    CircuitPlayground.clearPixels();
    CircuitPlayground.playTone(lowFreq, 100);
    delay(100);
  }
    alarmOn = 0;
}
